Project

General

Profile

Bug #9237

php5-cli only works if installed *before* php5

Added by Jasper Koolhaas 8 months ago. Updated 8 months ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
Package update
Target version:
Start date:
08/13/2018
Due date:
% Done:

0%

Estimated time:
Affected versions:
Security IDs:

Description

On a fresh Alpine 3.8 (LXD container) image:

apk add php5 php5-cli 

doesn't actually install php5-cli:
# ls -al /usr/bin/php*; apk list --installed|grep php
ls: /usr/bin/php*: No such file or directory
php5-5.6.37-r0 x86_64 {php5} (PHP-3.0) [installed]

When I delete both an then adding (only) php5-cli it works ok:

#apk del php5 php-cli; apk add php5-cli 
# ls -al /usr/bin/php*; apk list --installed|grep php
-rwxr-xr-x    1 root     root       8794808 Jul 24 13:54 /usr/bin/php5
-rwxr-xr-x    1 root     root          4506 Jul 24 13:54 /usr/bin/phpize5
php5-cli-5.6.37-r0 x86_64 {php5} (PHP-3.0) [installed]
php5-common-5.6.37-r0 x86_64 {php5} (PHP-3.0) [installed]

This problem doesn't seem to happen in the current edge version.


Related issues

Is duplicate of Alpine Linux - Bug #9119: PHP 5 CLI package gets purged when PHP 5 extensions are addedClosed07/20/2018

History

#1 Updated by Andy Postnikov 8 months ago

  • Is duplicate of Bug #9119: PHP 5 CLI package gets purged when PHP 5 extensions are added added

#2 Updated by Andy Postnikov 8 months ago

  • Status changed from New to Closed

Also available in: Atom PDF